package cn.com.ctop.bytedance.mapper;

import cn.com.ctop.bytedance.entity.BytedanceAdvertiserHourlyReport;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.math.BigDecimal;

/**
 * @Description: 广告主小时级别报表信息
 * @Author: jeecg-boot
 * @Date: 2019-09-10
 * @Version: V1.0
 */
public interface BytedanceAdvertiserHourlyReportMapper extends BaseMapper<BytedanceAdvertiserHourlyReport> {
    Integer selectMaxHour(@Param("accountId") Long accountId, @Param("statDate") String statDate);

    BigDecimal getCost(@Param("accountId") Long accountId, @Param("statHour") Integer statHour, @Param("statDate") String statDate);
}
