package cn.com.ctop.toutiao.service;

import cn.com.ctop.toutiao.entity.ByteDanceCampaignTemplate;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import cn.com.ctop.common.module.entity.CtopOauthToken;
import org.jeecg.common.api.vo.Result;

import javax.servlet.http.HttpServletRequest;
import java.util.Map;

/**
 * @Description: 今日头条广告组模板信息
 * @Author: jeecg-boot
 * @Date: 2019-07-22
 * @Version: V1.0
 */
public interface IByteDanceCampaignTemplateService extends IService<ByteDanceCampaignTemplate> {

    Map<String, Object> insertTemplate(ByteDanceCampaignTemplate template);

    Result<IPage<ByteDanceCampaignTemplate>> getList(ByteDanceCampaignTemplate template, Integer pageNo, Integer pageSize, HttpServletRequest req);

    Map<String, Object> campaignCreate(CtopOauthToken token, ByteDanceCampaignTemplate template);

    Map<String, Object> campaignCreate(String getAccountId, Long campaignId, String getName);

    Map<String, Object> campaignCreate(String accountId, String campaignName, String budgetMode, Integer budget, String landingType);

    Map<String, Object> getSuggestCover(String accountId, String videoId);
}
