package cn.com.ctop.bytedance.mapper;

import cn.com.ctop.bytedance.entity.PlatformCampaignStatisticInfo;
import cn.com.ctop.bytedance.vo.StatisticCampaignVo;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @Description: 快手平台广告组信息
 * @Author: jeecg-boot
 * @Date: 2019-08-23
 * @Version: V1.0
 */
public interface PlatformCampaignStatisticInfoMapper extends BaseMapper<PlatformCampaignStatisticInfo> {
    List<StatisticCampaignVo> getVoByParams(@Param("accountId") Long accountId);

    StatisticCampaignVo getTotalStatisticVoByparams(@Param("accountId") Long accountId);

    List<StatisticCampaignVo> sumZeroVoByParams(@Param("accountId") Long accountId);

    List<StatisticCampaignVo> sumZaodianVoByParams(@Param("accountId") Long accountId1);
}
