package cn.com.ctop.bytedance.vo;

import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

@Data
public class DailyAccountReportVO implements Serializable {
    private BigDecimal cost; // 消耗
    private Long photoShow; // 展示数
    private Long aclick; // 素材曝光数
    private Long photoClick; // 点击数
    private BigDecimal photoClickRatio; // 点击率
    private BigDecimal photoClickCost; // 平均点击花费
    private Long bclick; // 行为数
    private BigDecimal actionRatio; // 行为率
    private BigDecimal impression1kCost; // 平均千次展现花费
    private Long conversions; // 转化数
    private BigDecimal conversionPrice; // 转化单价
    private BigDecimal conversionRate; // 转化率
    private BigDecimal discountConversionPrice; // 折后转化成本
    private BigDecimal contractRebateRealCharged; // 激励花费
    private BigDecimal actualCost; // 实际消耗
}
