package cn.com.ctop.performanceappraisal.service;

import cn.com.ctop.performanceappraisal.entity.PerformanceOptimizer;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.Map;

/**
 * 优化师绩效信息
 *
 * @author jeecg-boot
 * @version V1.0
 * @date 2019-12-13
 */
public interface IPerformanceOptimizerService extends IService<PerformanceOptimizer> {

    Map<String, Object> getPerformanceDetail(String mediaType, Integer pageNo, Integer pageSize);

    Map<String, Object> getRankingList(String mediaType, Integer pageNo, Integer pageSize, String orgCode);

    Map<String, Object> getManagerPerformanceDetail(String mediaType, String orgCode);
}
